Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 1352)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 1353)
@@ -33,6 +33,7 @@
 import java.util.TreeSet;
 
 import org.eclipse.jface.preference.ComboFieldEditor;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.IWorkbench;
 import org.txm.Toolbox;
 import org.txm.chartsengine.core.ChartsEngine;
@@ -41,6 +42,7 @@
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.core.engines.EngineType;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 
@@ -109,7 +111,7 @@
 			
 			
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.messages.TXMUIMessages.failedToSavePreferencesDDot + e);
+			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDotP0, e));
 		}
 		return true;
 	}
Index: tmp/org.txm.translate.rcp/report.txt
===================================================================
--- tmp/org.txm.translate.rcp/report.txt	(revision 1352)
+++ tmp/org.txm.translate.rcp/report.txt	(revision 1353)
@@ -1,15 +1,3 @@
-/home/mdecorde/workspace047/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java
-	120	throw new StatException(CACoreMessages.error_errorWhileComputingCA + e.getMessage(), e);
-	135	throw new StatException(CACoreMessages.error_failedToGetContributionColumn + e.getMessage(), e);
-	155	throw new StatException(CACoreMessages.error_failedToGetCos2Column + e.getMessage(), e);
-	241	throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
-	261	throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
-	282	throw new StatException(CACoreMessages.error_failedToGetConstributionRow + e.getMessage(), e);
-	302	throw new StatException(CACoreMessages.error_failedToGetCos2Row + e.getMessage(), e);
-	374	throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
-	394	throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
-	442	throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
-	457	System.out.println(CACoreMessages.error_canNotLoadCALibrary+ e);
 /home/mdecorde/workspace047/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
 	246	System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e1);
 	257	System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e);
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1352)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1353)
@@ -33,6 +33,7 @@
 import java.util.TreeSet;
 
 import org.eclipse.jface.preference.ComboFieldEditor;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.IWorkbench;
 import org.txm.Toolbox;
 import org.txm.chartsengine.core.ChartsEngine;
@@ -41,6 +42,7 @@
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.core.engines.EngineType;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 
@@ -111,7 +113,7 @@
 			
 			
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.messages.TXMUIMessages.failedToSavePreferencesDDot + e);
+			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDotP0, e));
 		}
 		return true;
 	}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 1352)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 1353)
@@ -33,6 +33,7 @@
 import org.eclipse.jface.preference.IntegerFieldEditor;
 import org.eclipse.jface.preference.StringFieldEditor;
 import org.eclipse.jface.util.PropertyChangeEvent;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.IWorkbench;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.messages.TXMUIMessages;
@@ -200,7 +201,7 @@
 				RWorkspace.setUseFileCommunication(RPreferences.getInstance().getBoolean(RPreferences.FILE_TRANSFERT));
 			}
 		} catch (Exception e) {
-			System.err.println(TXMUIMessages.failedToSavePreferencesDDot + e);
+			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDotP0, e));
 		}
 		return true;
 	}
Index: tmp/org.txm.ca.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.ca.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1352)
+++ tmp/org.txm.ca.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1353)
@@ -1,2 +1,4 @@
 eclipse.preferences.version=1
+encoding//src/org/txm/ca/rcp/messages/messages.properties=UTF-8
 encoding//src/org/txm/ca/rcp/messages/messages_fr.properties=UTF-8
+encoding//src/org/txm/ca/rcp/messages/messages_ru.properties=UTF-8
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties	(revision 1352)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages.properties	(revision 1353)
@@ -9,7 +9,7 @@
 computingCorrespondenceAnalysisOnP0WithPropertyP1=Computing Correspondence analysis on {0} with property {1}
 contributionColumnFormat=Contribution column format
 coordColumnFormat=Coord column format
-CorrespondanceAnalysisEditorInput_11=∑
+CorrespondanceAnalysisEditorInput_11=∑%
 CorrespondanceAnalysisEditorInput_4=\#
 cosColumnFormat=Cos² column format
 creatingCA=Creating CA
@@ -20,7 +20,7 @@
 error_cannot_compute_with=Error\: cannot compute CA with {0}
 error_cannot_compute_with_selection=Error\: cannot compute CA with current selection\={0} 
 error_opening=Error\: cannot open CAEditor with {0}
-errorWhileOpeningCAEditorDDot=Error while opening CAEditor\: 
+errorWhileOpeningCAEditorDDotP0=Error while opening CAEditor\: 
 factPlan=Fact. plan
 infosDDotP0=Infos\: {0}
 lexicalTableCreatedWhenCalledFromAPartition=Lexical table (created when called from a partition)
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_ru.properties	(revision 1352)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_ru.properties	(revision 1353)
@@ -8,7 +8,7 @@
 computingCorrespondenceAnalysisOnP0WithPropertyP1=Расчет факторного анализа соответствий
 contributionColumnFormat=Формат колонки Вклад
 coordColumnFormat=Формат колонки Coord
-CorrespondanceAnalysisEditorInput_11=∑
+CorrespondanceAnalysisEditorInput_11=∑%
 CorrespondanceAnalysisEditorInput_4=Фактор
 cosColumnFormat=Формат колонки Cos²
 creatingCA=Создание окна ФАС
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 1352)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 1353)
@@ -54,7 +54,7 @@
 	public static String wrongInput; 
 	public static String infosDDotP0; 
 
-	public static String errorWhileOpeningCAEditorDDot; 
+	public static String errorWhileOpeningCAEditorDDotP0; 
 
 	
 	public static String error_cannot_compute_with;
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_fr.properties	(revision 1352)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/messages_fr.properties	(revision 1353)
@@ -9,7 +9,7 @@
 computingCorrespondenceAnalysisOnP0WithPropertyP1=Calcul de l'analyse factorielle des correspondances sur {0} avec la propriété {1}
 contributionColumnFormat=Format de la colonne Contribution
 coordColumnFormat=Format de la colonne Coord
-CorrespondanceAnalysisEditorInput_11=∑
+CorrespondanceAnalysisEditorInput_11=∑%
 CorrespondanceAnalysisEditorInput_4=\#
 cosColumnFormat=Format de la colonne Cos²
 creatingCA=Création de la fenêtre de l'AFC
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1352)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1353)
@@ -243,7 +243,7 @@
 		}
 		catch (Exception e1) {
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
-			System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e1);
+			System.out.println(NLS.bind(CAUIMessages.errorWhileOpeningCAEditorDDotP0, e1));
 			return;
 		}
 
@@ -254,7 +254,7 @@
 				editorIndex = addPage(editors.get(i), inputs.get(i));
 			} catch (PartInitException e) {
 				org.txm.rcp.utils.Logger.printStackTrace(e);
-				System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e);
+				System.out.println(NLS.bind(CAUIMessages.errorWhileOpeningCAEditorDDotP0, e));
 				return;
 			}
 			setPageText(editorIndex, names.get(i));
@@ -372,7 +372,7 @@
 				return new String[] {
 						CAUIMessages.CorrespondanceAnalysisEditorInput_4,
 						CAUIMessages.eigenvalue,
-						"%", CAUIMessages.CorrespondanceAnalysisEditorInput_11 + "%", "", ""}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+						"%", CAUIMessages.CorrespondanceAnalysisEditorInput_11, "", ""}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
 
 			@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1352)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1353)
@@ -30,6 +30,7 @@
 import org.eclipse.jface.preference.BooleanFieldEditor;
 import org.eclipse.jface.preference.ComboFieldEditor;
 import org.eclipse.jface.preference.DirectoryFieldEditor;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.RowLayout;
@@ -129,7 +130,7 @@
 			service.executeCommand("org.txm.rcp.p2.plugins.FixUpdateHandler", null); //$NON-NLS-1$
 			
 		} catch (Exception e) {
-			System.err.println(TXMUIMessages.failedToSavePreferencesDDot + e);
+			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDotP0, e));
 		}
 		return true;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 1352)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 1353)
@@ -31,6 +31,7 @@
 
 import org.eclipse.jface.preference.FieldEditor;
 import org.eclipse.jface.preference.FieldEditorPreferencePage;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IWorkbenchPreferencePage;
 import org.eclipse.ui.preferences.ScopedPreferenceStore;
@@ -81,7 +82,7 @@
 			super.performOk();
 			((ScopedPreferenceStore) this.getPreferenceStore()).save();
 		} catch (Exception e) {
-			System.err.println(TXMUIMessages.failedToSavePreferencesDDot + e);
+			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDotP0, e));
 		}
 		return true;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1352)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1353)
@@ -280,7 +280,7 @@
 //		try {
 //			preferences.save();
 //		} catch (IOException e) {
-//			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDot, e));
+//			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDotP0, e));
 //			exit = true;
 //			return exit;
 //		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1352)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1353)
@@ -429,7 +429,7 @@
 
 failedToSaveAs = ** Failed to save file {0} (error: {1}).
 
-failedToSavePreferencesDDot = Failed to save preferences:
+failedToSavePreferencesDDotP0=Failed to save preferences: {0}
 
 fileDDot = File: 
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties	(revision 1352)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_ru.properties	(revision 1353)
@@ -343,7 +343,7 @@
 
 failedToSaveAs = 
 
-failedToSavePreferencesDDot = ** Не удалось сохранить персональные настройки
+failedToSavePreferencesDDotP0 = ** Не удалось сохранить персональные настройки {0}
 
 fileExplorerDDotIncorrectPattern = ** Проводник: некорректное регулярное выражение
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1352)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1353)
@@ -397,7 +397,7 @@
 
 failedToSaveAs = ** Échec de la sauvegarde du fichier {0} (erreur : {1}).
 
-failedToSavePreferencesDDot = ** Échec de la sauvegarde des préférences
+failedToSavePreferencesDDotP0 = ** Échec de la sauvegarde des préférences : {0}
 
 fileExplorerDDotIncorrectPattern = ** Explorateur de fichiers : expression régulière incorrecte
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1352)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 1353)
@@ -336,7 +336,7 @@
 	public static String failedToExportResultP0DDotP1; 
 	public static String p1FileSavedInP0; 
 	public static String failedToExportFileP0WithDeviceP1; 
-	public static String failedToSavePreferencesDDot; 
+	public static String failedToSavePreferencesDDotP0; 
 	public static String regexpPatternToHideFiles; 
 	public static String showHiddenFiles; 
 	public static String fileExplorerDDotIncorrectPattern; 
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/messages.properties
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/messages.properties	(revision 1352)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/messages.properties	(revision 1353)
@@ -1,5 +1,5 @@
 #TXM messages generated by the PluginMessagesManager class
 #Mon Nov 12 17:18:22 CET 2018
 EMPTY=\ 
-error_cantCreateTmpChartFile=Can't create temporary chart file
-error_cantWriteInFile=Can't write in file
+error_cantCreateTmpChartFileP0=Can't create temporary chart file: {0}
+error_cantWriteInFileP0=Can't write in file: {0}
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/messages_fr.properties	(revision 1352)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/messages_fr.properties	(revision 1353)
@@ -1,5 +1,5 @@
 #TXM messages generated by the PluginMessagesManager class
 #Mon Nov 12 17:18:22 CET 2018
 EMPTY=\ 
-error_cantCreateTmpChartFile=Impossible de créer le fichier temporaire du graphique
-error_cantWriteInFile=Impossible d'écrire dans le fichier
+error_cantCreateTmpChartFileP0=Impossible de créer le fichier temporaire du graphique : {0}
+error_cantWriteInFileP0=Impossible d'écrire dans le fichier : {0}
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 1352)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 1353)
@@ -14,8 +14,8 @@
 	private static final String BUNDLE_NAME = "org.txm.chartsengine.core.messages.messages"; //$NON-NLS-1$
 
 	
-	public static String error_cantCreateTmpChartFile;
-	public static String error_cantWriteInFile;
+	public static String error_cantCreateTmpChartFileP0;
+	public static String error_cantWriteInFileP0;
 
 	public static String EMPTY; 
 
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 1352)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 1353)
@@ -9,6 +9,7 @@
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.Platform;
+import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
@@ -411,13 +412,13 @@
 			file = File.createTempFile(prefix, "." + this.outputFormat, resultsDir);
 		}
 		catch (IOException e) {
-			Log.severe(ChartsEngineCoreMessages.error_cantCreateTmpChartFile + e);
+			Log.severe(NLS.bind(ChartsEngineCoreMessages.error_cantCreateTmpChartFileP0, e));
 			Log.printStackTrace(e);
 		}
 
 		// TODO : old code, useful ? and/or return null instead of the file if canWrite() return false ?
 		if(!file.canWrite()) {
-			Log.severe(ChartsEngineCoreMessages.error_cantWriteInFile + file);
+			Log.severe(NLS.bind(ChartsEngineCoreMessages.error_cantWriteInFileP0, file));
 		}
 		return file;
 	}
